ERIP
API ReferencePublicAuth

/api/v1/Auth/register

POST
/api/v1/Auth/register

Authorization

ApiKey Bearer
X-Api-Key<token>

Provide your API key in the X-Api-Key header.

In: header

AuthorizationBearer <token>

Enter a JWT token obtained from /api/v1/auth/login.

In: header

Request Body

application/json

TypeScript Definitions

Use the request body type in TypeScript.

Response Body

application/json

application/json

application/json

curl -X POST "https://loading/api/v1/Auth/register" \  -H "Content-Type: application/json" \  -d '{    "name": "string",    "email": "string",    "password": "string"  }'
{
  "token": "string",
  "expiresAt": "2019-08-24T14:15:22Z",
  "user": {
    "id": "497f6eca-6276-4993-bfeb-53cbbbba6f08",
    "name": null,
    "email": null,
    "createdAt": "2019-08-24T14:15:22Z",
    "status": 0,
    "tier": 0,
    "role": 0
  }
}
{
  "type": null,
  "title": null,
  "status": null,
  "detail": null,
  "instance": null
}
{
  "type": null,
  "title": null,
  "status": null,
  "detail": null,
  "instance": null
}